@ECHO OFF

ECHO Toradex Production Programming
ECHO ******************************

REM ################################################################################
REM Configuration Section

REM Path to the root directory of your device, where all the config files are stored
set FILEPATH=USB HD
REM Name of the image file   
set OSIMAGE=nk_ce7.nb0
REM Name of the bootloader file
set BOOTLOADER=eboot.nb0
REM Splashscreen
set SPLASHSCREEN=Splashscreen.bmz
REM name of the registry configuration
set REGISTRY=myReg.reg
REM Name of the configblock settings
set CONFBLOCK=myConfig.txt


REM Configuration Section end
REM ################################################################################

cd \%FILEPATH%
IF EXIST secondBoot GOTO SecondBoot
IF NOT EXIST secondBoot GOTO FirstBoot

:FirstBoot
echo FirstBoot passed > secondBoot
update.exe /uw REM This makes a clean format of the disk. It is recommended to use this.
update.exe /u \%FILEPATH%\%OSIMAGE%
update.exe /u \%FILEPATH%\%BOOTLOADER%
update.exe /rc
GOTO Reboot
)

:SecondBoot
pregedit.exe -s "\%FILEPATH%\%REGISTRY%"
DEL secondBoot
update.exe /fu
update.exe /u \%FILEPATH%\%SPLASHSCREEN%
configblockeditor.exe \%FILEPATH%\%CONFBLOCK%
GOTO End
)

:Reboot
ECHO Going to reboot...
update.exe /rc
EXIT

:End
ECHO Done. Please restart the module
ECHO *******************************

